package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Excel模板对象 act_supplies_template
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public class ActSuppliesTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 关联ID */
    @Excel(name = "关联ID")
    private Long detId;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    /** Excel文件名 */
    @Excel(name = "Excel文件名")
    private String templateName;

    /** 内容 */
    @Excel(name = "内容")
    private String templateContent;

    /** 状态 */
    @Excel(name = "状态",readConverterExp="0=启用,1=禁用")
    private Integer status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDetId(Long detId)
    {
        this.detId = detId;
    }

    public Long getDetId()
    {
        return detId;
    }

    public String getTemplateContent() {
        return templateContent;
    }

    public void setTemplateContent(String templateContent) {
        this.templateContent = templateContent;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("detId", getDetId())
                .append("name", getTemplateName())
                .append("content", getTemplateContent())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
